Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 182499 - ToolsConfiguration improperly uses instanceCookie.instanceClass().newInstance()
ToolsConfiguration improperly uses instanceCookie.instanceClass().newInstance()
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: D-Light
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Alexey Vladykin
dlight-issues@cnd
68patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-22 14:55 UTC by Alexey Vladykin
Modified: 2010-03-24 15:24 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Vladykin 2010-03-22 14:55:13 UTC
o.n.m.dlight.api.tool.ToolsConfiguration.getToolsSet() scans folder DLight/ToolConfigurationProviders for DLightToolConfigurationProvider instances, and improperly uses InstanceCookie.instanceClass().newInstance() instead of InstanceCookie.instanceCreate() to create provider instance.
This incorrect code used to work for our existing tools, but it does not work for standalone DLight tools created from XML.
We need to fix this in patch 2 for standalone DLight. The bug is already fixed in trunk.
Comment 1 Alexey Vladykin 2010-03-22 15:07:30 UTC
Fixed in trunk almost two weeks ago: http://hg.netbeans.org/cnd-main/rev/125b6a94bec7
Comment 2 Andrew Krasny 2010-03-22 15:21:00 UTC
Fix is OK. Safe and correct.
Comment 3 Alexey Vladykin 2010-03-22 15:30:55 UTC
The fix from trunk can be applied to release68_fixes as is.
Comment 4 Alexander Pepin 2010-03-22 16:44:05 UTC
It's a technical issue and can not be verified by QA.
Comment 5 pgebauer 2010-03-23 10:43:21 UTC
The bugfix has been ported into the release68_fixes branch.
http://hg.netbeans.org/release68_fixes/rev/59745f6031c3
Comment 6 Alexander Pepin 2010-03-24 15:24:49 UTC
verified in patch2 candidate build 20100324


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo